Name: H5Dget_space_status
Signature:
  herr_t `H5Dget_space_status`(hid_t `dset_id`, H5D_space_status_t *`status`)
Purpose:
  Determines whether space has been allocated for a dataset.
Description:
  `H5Dget_space_status` determines whether space has been allocated for the dataset `dset_id`.

  Space allocation status is returned in `status`, which will have one of the following values:

  | `H5D_SPACE_STATUS_NOT_ALLOCATED` | Space has not been allocated for this dataset.
  `H5D_SPACE_STATUS_ALLOCATED` | Space has been allocated for this dataset.
  `H5D_SPACE_STATUS_PART_ALLOCATED` | Space has been partially allocated for this dataset. (Used only for datasets with chunked storage.)

Parameters:

hid_t `dset_id` | IN: Identifier of the dataset to query.
H5D_space_status_t *`status` | OUT: Space allocation status.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5dget_space_status_f

      SUBROUTINE h5dget_space_status_f(dset_id, flag, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: dset_id  ! Dataset identifier
        INTEGER, INTENET(OUT)      :: flag     ! Status flag ; possible values:
                                               ! H5D_SPACE_STS_ERROR_F
                                               ! H5D_SPACE_STS_NOT_ALLOCATED_F
                                               ! H5D_SPACE_STS_PART_ALLOCATED_F
                                               ! H5D_SPACE_STS_ALLOCATED_F
        INTEGER, INTENT(OUT) :: hdferr         ! Error code
                                               ! 0 on success and -1 on failure
      END SUBROUTINE h5dget_space_status_f

History:

Release | C
1.6.0 | Function introduced in this release.